@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap");

:root {
    --primary: #d4ba37;
    --black: #2c3350;
    --babyblue: #f0faff;
    --lightgray: #d3d3d3;
    --white: #f7fcff;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "Poppins", sans-serif;
}

/* | SECTIONS */
.body {
    scroll-snap-type: y mandatory;
    overflow-y: scroll;
    height: 100vh;
}

section {
    height: 100vh;
    scroll-snap-align: start;
}

.one {
    background: var(--babyblue);
    color: var(--black);
    background-image: url("/images/donuts.svg");
    background-size: cover;
}

.two {
    background: var(--babyblue);
    color: var(--black);
}

.three {
    background: var(--babyblue);
    color: var(--black);

}

.four {
    background: var(--babyblue);
    color: var(--black);
}

.five {
    background: var(--babyblue);
    color: var(--black);
}

.six {
    background: var(--babyblue);
    color: var(--black);
}

/* | GENERAL */
.underlined {
    text-decoration-line: underline;
    text-decoration-color: var(--primary);
    text-decoration-style: solid;
    text-decoration-thickness: 2px
}

.cornered-img {
    max-width: 100%;
    border-radius: 3px;

    --s: 50px; /* the size on the corner */
    --t: 5px; /* the thickness of the border */
    --g: 20px; /* the gap between the border and image */
    padding: calc(var(--g) + var(--t));
    outline: var(--t) solid var(--primary);
    outline-offset: calc(-1 * var(--t));

    -webkit-mask: conic-gradient(at var(--s) var(--s), #0000 75%, #000 0) 0 0/calc(100% - var(--s)) calc(100% - var(--s)),
    linear-gradient(#000 0 0) content-box;
    transition: .4s;
}

.cornered-img:hover {
    outline-offset: calc(var(--g) / -1);
}

@media screen and (max-width: 768px) {
    .underlined {
        text-decoration-thickness: 1.5px
    }
}

/* | ONE */
/* || NAVIGATION */
.nav {
    top: 0;
    left: 0;
    width: 100%;
    padding: 15px 200px;
    background: var(--primary);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.nav,
.nav .nav-links {
    display: flex;
    align-items: center;
}

.nav {
    justify-content: space-between;
}

a {
    color: #fff;
    text-decoration: none;
}

.nav .logo {
    font-size: 22px;
    font-weight: 500;
}

.nav .nav-content {
    display: flex;
    width: 25%;
    flex-direction: row-reverse;
    justify-content: flex-start;
    gap: 10%;
}

.nav .nav-content .nav-links {
    column-gap: 20px;
    list-style: none;
}

.nav .nav-content .nav-links a {
    transition: all 0.2s linear;
}

.nav .navOpenBtn,
.nav .navCloseBtn {
    display: none;
}

.nav .nav-content .language-picker-select {
    font-size: 16px;
    padding: 5px;
    border-radius: 4px;
    border: none;
}

@media screen and (max-width: 1160px) {
    .nav {
        padding: 15px 100px;
    }
}

@media screen and (max-width: 950px) {
    .nav {
        padding: 15px 50px;
    }
}

@media screen and (max-width: 768px) {
    .nav .navOpenBtn,
    .nav .navCloseBtn {
        display: block;
    }

    .nav {
        padding: 15px 20px;
    }

    .nav .nav-links {
        position: fixed;
        top: 0;
        left: -100%;
        height: 100%;
        max-width: 280px;
        width: 100%;
        padding-top: 100px;
        row-gap: 30px;
        flex-direction: column;
        background-color: #11101d;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        transition: all 0.4s ease;
        z-index: 100;
    }

    .nav.openNav .nav-links {
        left: 0;
    }

    .nav .navOpenBtn {
        color: #fff;
        font-size: 20px;
        cursor: pointer;
    }

    .nav .navCloseBtn {
        position: absolute;
        top: 20px;
        right: 20px;
        color: #fff;
        font-size: 20px;
        cursor: pointer;
    }

    .nav .search-box {
        top: calc(100% + 10px);
        max-width: calc(100% - 20px);
        right: 50%;
        transform: translateX(50%);
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    }
}

/* || CONTENT */
.one-content {
    position: relative;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.one-content .upper-title {
    font-size: 27px;
}

.one-content .title {
    font-size: 75px;
    font-weight: 600;
    margin: -20px 0 0 -3px;
}

.one-content .sub-title {
    font-size: 40px;
    margin: -4px 0 5px;
    display: flex;
}

.one-content .sub-title .typing-text {
    margin-left: 13px;
    overflow: hidden;
    white-space: nowrap;
    border-right: 4px solid var(--primary);
    color: var(--primary);
    animation: typing 5s steps(15) infinite;
}

@keyframes typing {
    0% {
        width: 0;
    }
    50% {
        width: 18ch;
    }
    100% {
        width: 0;
    }
}

.one-content .next-indicator-container {
    position: absolute;
    bottom: 100px;
    left: 0;
    width: 100%;
    justify-content: center;
    display: flex;
    height: 100px;
}

.one-content .next-indicator-container .next-indicator {
    position: absolute;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: var(--black);
    display: flex;
    justify-content: center;
    align-items: center;
    animation: MoveUpDown 1.5s linear infinite;
}

.one-content .next-indicator-container .next-indicator a {
    font-size: 25px;
}

@keyframes MoveUpDown {
    0%,
    100% {
        bottom: 35px;
    }
    50% {
        bottom: 0;
    }
}

@media screen and (max-width: 768px) {
    .one-content {
        margin: 0 0 0 15px;
    }

    .one-content .upper-title {
        font-size: 15px;
    }

    .one-content .title {
        font-size: 40px;
        margin: -5px 0 0 -3px;
    }

    .one-content .sub-title {
        font-size: 20px;
    }
}

.media-icons {
    display: flex;
    flex-direction: column;
    position: absolute;
    right: 40px;
    bottom: 40px;
}

.media-icons a {
    margin-top: 8px;
    font-size: 20px;
    font-weight: 500;
    text-decoration: none;
    opacity: 0.7;
    color: var(--black);
    transition: all 0.3s ease;
}

.media-icons a:hover {
    opacity: 1;
}

/* | TWO */
.two-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 75px;
    height: calc(100vh);
}

.two-content p {
    font-size: 20px;
}

.wrapper-left, .wrapper-right {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.two-content .bolder {
    font-weight: bolder;
}

/* || LEFT */
.wrapper-left {
    width: 50%;
    float: left;
    position: relative;
}

.wrapper-left::after {
    content: "";
    position: absolute;
    right: -10px;
    top: 0;
    bottom: 0;
    width: 1px;
    background-color: var(--lightgray);
}

.two-content .wrapper-left .sub-title {
    font-size: 30px;
    font-weight: lighter;
}

.two-content .wrapper-left .title {
    font-size: 40px;
    font-style: italic;
}

.two-content .wrapper-left .content-wrapper {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

/* || RIGHT */
.two-content .wrapper-right {
    width: 47%;
    float: right;
}

@media screen and (min-width: 1537px) {
    .two-content {
        padding: 350px;
    }
}

@media screen and (max-width: 768px) {
    .two-content {
        padding: 30px;
    }

    .two-content p {
        font-size: 14px;
    }

    .two-content .wrapper-left .sub-title {
        font-size: 20px;
    }

    .two-content .wrapper-left .title {
        font-size: 25px;
    }

    .wrapper-left::after {
        right: -5px;
    }
}


/* | THREE */
.three-content {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    gap: 25px;
    padding: 75px;
}

.three-content .list {
    flex: 1;
    padding: 25px;
    background-color: var(--white);
    border-radius: 25px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}

.three-content .list h1 {
    font-size: 30px;
    color: var(--primary);
    margin-bottom: 20px;
    border-bottom: 1px solid var(--lightgray);
    padding-bottom: 10px;
}

.three-content .list ul {
    list-style-type: none;
}

.three-content ul li {
    font-size: 18px;
}

li i::after {
    content: '\00a0\00a0';
}

@media screen and (max-width: 768px) {
    .three-content .list {
        padding: 15px;
    }

    .three-content .list h1 {
        font-size: 18px;
        margin-bottom: 7px;
        padding-bottom: 3px;
    }

    .three-content ul li {
        font-size: 12px;
    }
}

/* | FOUR */
.four-content {
    display: flex;
    justify-content: space-between;
    padding: 75px;
    height: calc(100vh);
}

.four-content p {
    font-size: 20px;
}

/* || IMAGE */
.four-content .image-container {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* || TEXT */
.four-content .text-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    padding: 50px;
}

@media screen and (max-width: 768px) {
    .four-content {
        padding: 30px;
    }

    .four-content h2 {
        font-size: 18px;
    }

    .four-content p {
        font-size: 13px;
    }
}

/* | FIVE */
.five-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 30px;
    height: 100vh;
    padding: 75px;
}

.five-content .block:nth-child(1) {
    grid-column: 1;
    grid-row: 1;
}

.five-content .block:nth-child(2) {
    grid-column: 1;
    grid-row: 2;
}

.five-content .block:nth-child(3) {
    grid-column: 1;
    grid-row: 3;
}

.five-content .block:nth-child(4) {
    grid-column: 1;
    grid-row: 4;
}

.five-content .block:nth-child(5) {
    grid-column: 2;
    grid-row: 1 / 5;

    display: flex;
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 768px) {
    .five-content {
        padding: 30px;
    }

    .five-content h1 {
        font-size: 18px;
    }

    .five-content p {
        font-size: 13px;
    }
}

/* | SIX */
.six-content {
    padding: 75px;
    text-align: left;
}

.six-content h1 {
    font-size: 3em;
}

.six-content h4 {
    font-size: 1.6em;
}

.six-content .contact-block-wrapper {
    display: flex;
    justify-content: space-around;
    margin-top: 25px;
    flex-direction: column;
    gap: 50px;
}

.six-content .contact-block-wrapper .contact-block {
    display: flex;
    flex-direction: column;
}

.six-content .contact-block-wrapper .contact-block .contact-block-title {
    font-size: 1.5em;
}

.six-content .contact-block-wrapper .contact-block .fa-location-dot,
.six-content .contact-block-wrapper .contact-block .fa-phone,
.six-content .contact-block-wrapper .contact-block .fa-envelope
{
    font-size: 1.25em;
    margin-right: 6px;
}